csFileTime Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csFileTime Struct Reference
Virtual File System (VFS)

File time structure - used to query and set the last-modification time of a file. More...

`#include <iutil/vfs.h>`

List of all members.

## Public Member Functions
| csFileTime ()
| empty constructor.
| csFileTime (const struct tm &time)
| Construct a csFileTime item from a `struct tm`
| operator struct tm () const
| Create a `struct tm` from object.
void | operator= (const struct tm &time)
| Assign a `struct tm`.
## Public Attributes
int | day
| Day, 1..31.
int | hour
| Hour, 0..23.
int | min
| Minute, 0..59.
int | mon
| Month, 0..11.
int | sec
| Second, 0..59.
int | year
| Year, 1768, 1900, 2001, ...

## Detailed Description

File time structure - used to query and set the last-modification time of a file.

Definition at line 47 of file vfs.h.

## Constructor & Destructor Documentation

csFileTime::csFileTime | ( |  | ) | `[inline]`

empty constructor.

Definition at line 63 of file vfs.h.

csFileTime::csFileTime | ( | const struct tm & | time | ) | `[inline]`

Construct a csFileTime item from a `struct tm`

Definition at line 66 of file vfs.h.

## Member Function Documentation

csFileTime::operator struct tm | ( |  | ) | const`[inline]`

Create a `struct tm` from object.

Definition at line 83 of file vfs.h.

void csFileTime::operator= | ( | const struct tm & | time | ) | `[inline]`

Assign a `struct tm`.

Definition at line 72 of file vfs.h.

## Member Data Documentation

int csFileTime::day

Day, 1..31.

Definition at line 56 of file vfs.h.

int csFileTime::hour

Hour, 0..23.

Definition at line 54 of file vfs.h.

int csFileTime::min

Minute, 0..59.

Definition at line 52 of file vfs.h.

int csFileTime::mon

Month, 0..11.

Definition at line 58 of file vfs.h.

int csFileTime::sec

Second, 0..59.

Definition at line 50 of file vfs.h.

int csFileTime::year

Year, 1768, 1900, 2001, ...

Definition at line 60 of file vfs.h.

The documentation for this struct was generated from the following file:

- iutil/vfs.h